#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: cabal-helper
version: 0.7.3.0
id: cabal-helper-0.7.3.0-32twHOTdCSYLJpcokbkspO
key: cabal-helper-0.7.3.0-32twHOTdCSYLJpcokbkspO
license: AGPL-3
maintainer: dxld@darkboxed.org
synopsis: Simple interface to some of Cabal'\''s configuration state used by ghc-mod
description:
    @cabal-helper@ provides a library which wraps the internal use of an
    executable to lift the restrictions imposed by linking against versions of
    GHC before @7.10@. This has the pleasant side effect of isolating the user
    from having to deal with Cabal version changes manually as @cabal-helper@
    can simply recompile it'\''s helper program automatically as needed.
    .
    @cabal-helper@ uses a wrapper executable to compile the actual cabal-helper
    executable at runtime while linking against an arbitrary version of
    Cabal. This runtime-compiled helper executable is then used to extract
    various bits and peices from Cabal\'\''s on disk state (dist/setup-config)
    written by it'\''s configure command.
    .
    In addition to this the wrapper executable also supports installing any
    version of Cabal from hackage in case it cannot be found in any available
    package database. The wrapper installs these instances of the Cabal library
    into a private package database so as to not interfere with the user'\''s
    packages.
    .
    Furthermore the wrapper supports one special case namely reading a state
    file for Cabal itself. This is needed as Cabal compiles it'\''s Setup.hs using
    itself and not using any version of Cabal installed in any package database.
    .
    @cabal-helper@ can compile with @Cabal >= 1.14@ but requires @Cabal >= 1.16@
    at runtime.
category: Distribution
author: Daniel Gröber <dxld@darkboxed.org>
exposed: True
indefinite: False
exposed-modules:
    Distribution.Helper
hidden-modules: Paths_cabal_helper CabalHelper.Types
                CabalHelper.Sandbox
abi: 9a672574fe8cab1514095637d23dadc8
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/cabal-helper-0.7.3.0
library-dirs: /usr/lib/ghc-8.2.1/site-local/cabal-helper-0.7.3.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/i386-linux-ghc-8.2.1/cabal-helper-0.7.3.0
hs-libraries: HScabal-helper-0.7.3.0-32twHOTdCSYLJpcokbkspO
depends:
    base-4.10.0.0 Cabal-2.0.0.2 directory-1.3.0.2 filepath-1.4.1.2
    transformers-0.5.2.0 mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3
    process-1.6.1.0 ghc-prim-0.5.1.0 bytestring-0.10.8.2
abi-depends: base-4.10.0.0=a43b4ec12ad02cbfcdfe91f0942afb0a
             Cabal-2.0.0.2=a2520fd25489686ee7e9d64a6ce11828
             directory-1.3.0.2=cfeb01f7201df723a8082d0da3163aee
             filepath-1.4.1.2=2a8b7688454d81e83f77ef81b74e0636
             transformers-0.5.2.0=c9bb94e07e5a6cae97f4e7452aafbf8b
             mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3=14e57a3b735adfe06c357bcc64de3dbd
             process-1.6.1.0=c0ee388768c3dd5e8b2d80490997add7
             ghc-prim-0.5.1.0=557c7fce76ef13c2417583cc28848f14
             bytestring-0.10.8.2=db54a9a10f4b3abcd860c80f928b2ae9
haddock-interfaces: /usr/share/doc/cabal-helper/html/cabal-helper.haddock
haddock-html: /usr/share/doc/cabal-helper/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

